﻿Type=Service
Version=2.71
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
#End Region

Sub Process_Globals

End Sub
Sub Service_Create

End Sub

Sub Service_Start (StartingIntent As Intent)

	Dim ActivityRecognitionResult1 As ActivityRecognitionResult
	If ActivityRecognitionResult1.Initialize(StartingIntent) Then
		'	ActivityRecognitionResult1 has been initialized from StartingIntent
		Dim DetectedActivity1 As DetectedActivity
		DetectedActivity1=ActivityRecognitionResult1.GetMostProbableActivity
		Dim Confidence As Int=DetectedActivity1.GetConfidence
		Dim ActivityType As String
		Select DetectedActivity1.GetType
			Case DetectedActivity1.IN_VEHICLE
				ActivityType="IN_VEHICLE"
			Case DetectedActivity1.ON_BICYCLE
				ActivityType="ON_BICYCLE"
			Case DetectedActivity1.ON_FOOT
				ActivityType="ON_FOOT"
			Case DetectedActivity1.STILL
				ActivityType="STILL"
			Case DetectedActivity1.TILTING
				ActivityType="TILTING"
			Case DetectedActivity1.UNKNOWN
				ActivityType="UNKNOWN"
		End Select
		Main.LastStatusMessage=DateTime.Time(DateTime.Now)&" "&ActivityType&" ("&Confidence&")"
		CallSub(Main, "UpdateStatus")
	Else
		'	StartingIntent contains no ActivityRecognitionResult
		Log("StartingIntent contains no ActivityRecognitionResult")
	End If
End Sub

Sub Service_Destroy

End Sub
